## idiff.pl: Comparing Files

### Use

idiff.pl is a Perl script that compares a file in the MaxDB_DEV development area with an older version of the same file in the search hierarchy.

idiff.pl [-l <level1>,<level2>] <file>

Parameters

Name | Description
-l <level1>,<level2> | Levels <level1>,<level2> in the search hierarchy in which the script searches for versions of the file to be compared If you omit this option, the file is compared with the next level in the search hierarchy.
<file> | File in the development area to be compared with an older version. Do not specify the complete path, only the file name. The naming conventions for files ensure that the file name is unique.

### Example

idiff.pl -l 2,3 vak54

See also:

Directory Structure of the Development Environment